Uses of Class
io.helidon.security.SecurityEnvironment.Builder
Packages that use SecurityEnvironment.Builder
-
Uses of SecurityEnvironment.Builder in io.helidon.security
Classes in io.helidon.security that implement interfaces with type arguments of type SecurityEnvironment.BuilderModifier and TypeClassDescriptionstatic final classA fluent API builder forSecurityEnvironment.Methods in io.helidon.security that return SecurityEnvironment.BuilderModifier and TypeMethodDescriptionSecurityEnvironment.Builder.addAttribute(String key, Object value) Add an attribute to this environment.static SecurityEnvironment.BuilderSecurityEnvironment.builder()Creates a fluent API builder to build new instances of this class with current time.static SecurityEnvironment.BuilderSecurityEnvironment.builder(SecurityTime serverTime) Creates a fluent API builder to build new instances of this class.SecurityEnvironment.Builder.clearHeaders()We may want to clear existing headers, such as when deriving an environment for outbound calls.SecurityEnvironment.Builder.clearQueryParams()We may want to clear existing query parameters.SecurityEnvironment.derive()Derive a new environment builder based on this environment.Security.environmentBuilder()Security environment builder, to be used to create environment for evaluating security in integration components.Add a single-value header.Add a multi-value header.Transport headers (such as HTTP headers, JMS headers).Method that is requested (such as GET/POST for http).Path that is requested (such as URI for http, without protocol, server and port).SecurityEnvironment.Builder.queryParam(String paramName, String value) Add a single-value query parameter.SecurityEnvironment.Builder.queryParam(String paramName, List<String> values) Add a multivalued query parameter.SecurityEnvironment.Builder.queryParams(UriQuery queryParams) Add query parameters of the request.SecurityEnvironment.Builder.requestedMethod(String requestedMethod) Configure the operation name as observed at the request boundary.SecurityEnvironment.Builder.requestedPath(UriPath requestedPath) Configure the resource path component as observed at the request boundary, expressed as a URI path.SecurityEnvironment.Builder.requestedQuery(Optional<UriQuery> requestedQuery) Configure the resource query component as observed at the request boundary, expressed as a URI query.Configure target URI.SecurityEnvironment.Builder.time(SecurityTime time) Use the defined time to obtain current time.Transport we are implementing (such as http, https).